libzypp: zypp::filesystem::TmpPath::Impl Class Reference

libzypp 17.36.6

Public Types | Public Member Functions | Private Attributes | List of all members
zypp::filesystem::TmpPath::Impl Class Reference

Clean or delete a directory on destruction. More...

Inheritance diagram for zypp::filesystem::TmpPath::Impl:

## Public Types
enum | Flags { NoOp = 0 , Autodelete = 1L << 0 , KeepTopdir = 1L << 1 , CtorDefault = Autodelete }

## Public Member Functions
| Impl (Pathname &&path_r, Flags flags_r=CtorDefault)
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl () override
const Pathname & | path () const
bool | autoCleanup () const
void | autoCleanup (bool yesno_r)
Public Member Functions inherited from zypp::base::ReferenceCounted
| ReferenceCounted ()
| Default ctor.
| ReferenceCounted (const ReferenceCounted &rhs)
| Copy ctor.
virtual | ~ReferenceCounted ()
| Dtor.
ReferenceCounted & | operator= (const ReferenceCounted &)
| Assignment.
unsigned | refCount () const
| Return reference counter value.
void | ref () const
| Add a reference.
void | unref () const
| Release a reference.

## Private Attributes
Pathname | _path
Flags | _flags

## Additional Inherited Members
Static Public Member Functions inherited from zypp::base::ReferenceCounted
static void | add_ref (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
static void | release (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
Protected Member Functions inherited from zypp::base::ReferenceCounted
virtual std::ostream & | dumpOn (std::ostream &str) const
| Overload to realize std::ostream & operator<<.
virtual void | ref_to (unsigned) const
| Trigger derived classes after refCount was increased.
virtual void | unref_to (unsigned) const
| Trigger derived classes after refCount was decreased.
Related Symbols inherited from zypp::base::ReferenceCounted
void | intrusive_ptr_add_ref (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to add_ref.
void | intrusive_ptr_release (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to release.
std::ostream & | operator<< (std::ostream &str, const ReferenceCounted &obj)
| Stream output.

## Detailed Description

Clean or delete a directory on destruction.

Definition at line 37 of file TmpPath.cc.

## Member Enumeration Documentation

## ◆ Flags

enum zypp::filesystem::TmpPath::Impl::Flags

Enumerator
NoOp |
Autodelete |
KeepTopdir |
CtorDefault |

Definition at line 41 of file TmpPath.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::filesystem::TmpPath::Impl::Impl | ( | Pathname && | path_r,
|  | Flags | flags_r = CtorDefault )
| inline

Definition at line 51 of file TmpPath.cc.

## ◆ Impl() [2/3]

zypp::filesystem::TmpPath::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::filesystem::TmpPath::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::filesystem::TmpPath::Impl::~Impl | ( |  | ) |
| inlineoverride

Definition at line 61 of file TmpPath.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::filesystem::TmpPath::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::filesystem::TmpPath::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ path()

const Pathname & zypp::filesystem::TmpPath::Impl::path | ( |  | ) | const
| inline

Definition at line 88 of file TmpPath.cc.

## ◆ autoCleanup() [1/2]

bool zypp::filesystem::TmpPath::Impl::autoCleanup | ( |  | ) | const
| inline

Definition at line 91 of file TmpPath.cc.

## ◆ autoCleanup() [2/2]

void zypp::filesystem::TmpPath::Impl::autoCleanup | ( | bool | yesno_r | ) |
| inline

Definition at line 94 of file TmpPath.cc.

## Member Data Documentation

## ◆ _path

Pathname zypp::filesystem::TmpPath::Impl::_path
| private

Definition at line 98 of file TmpPath.cc.

## ◆ _flags

Flags zypp::filesystem::TmpPath::Impl::_flags
| private

Definition at line 99 of file TmpPath.cc.

The documentation for this class was generated from the following file:

- zypp-core/fs/TmpPath.cc